Arch Pipe/de: Difference between revisions

From FreeCAD Documentation
(Created page with "* Beginne mit der Platzierung von Sanitär-/Hydraulikgeräten (unten ist eine importierte step datei). Du verwandelst diese Objekte in Arch Ausstattungen, indem du sie auswäh...")
(Created page with "* Mit dem neuen "Fang Spezial" Entwurfsfang kannst du nun diese benutzerdefinierten Punkte fangen:")
Line 54: Line 54:
[[Image:Arch_pipe_example_02.jpg]]
[[Image:Arch_pipe_example_02.jpg]]


* With the new [[Draft_Snap_Special|"Snap Special"]] Draft Snap, you can now snap to these custom points:
* Mit dem neuen [[Draft_Snap_Special/de|"Fang Spezial"]] Entwurfsfang kannst du nun diese benutzerdefinierten Punkte fangen:


[[Image:Arch_pipe_example_03.jpg]]
[[Image:Arch_pipe_example_03.jpg]]

Revision as of 17:01, 13 October 2020

Arch Rohr

Menüeintrag
Arch → Rohrwerkzeuge → Rohr
Arbeitsbereich
Arch
Standardtastenkürzel
P I
Eingeführt in Version
0.17
Siehe auch
Arch RohrVerbinder, Arch Ausstattung

Beschreibung

Dieses Werkzeug ermöglicht es, Rohre von Grund auf oder aus ausgewählten Objekten zu erstellen. Die ausgewählten Objekte müssen Teilbasiert sein (Entwurf, Skizze, etc...) und einen und nur einen offenen Draht enthalten.

Anwendung

  1. Wähle optional eine lineare Part Form wie eine Draft Line, a Entwurf Draht oder eine offene Skizze.
  2. Rufe diesen Befehl mit mehreren Methoden auf:
    • Drücken der Arch Pipe Schaltfläche auf der Werkzeugleiste.
    • Drücken der P dann I Tastaturkürzel.
    • Drücken der Arch → Rohrwerkzeuge → Rohr Eintrag aus dem oberen Menü.

Optionen

  • Rohre haben die gemeinsamen Eigenschaften und Verhaltensweisen aller Arch Komponenten gemeinsam

Eigenschaften

  • DatenLänge: Setzt die Länge dieses Rohrs, wenn sie nicht auf einem Draht basiert
  • DatenDurchmesser: Der Durchmesser dieses Rohres, wenn es nicht auf einem Profil basiert
  • DatenBasis: Der Basisdraht dieses Rohrs, falls vorhanden
  • DatenProfil: Das Basisprofil dieses Rohres. Wenn nicht angegeben, ist das Rohr zylindrisch.

Typischer Arbeitsablauf

  • Beginne mit der Platzierung von Sanitär-/Hydraulikgeräten (unten ist eine importierte step datei). Du verwandelst diese Objekte in Arch Ausstattungen, indem du sie auswählst und die Schaltfläche Arch Ausstattung drückst.

  • Arch Equipments now have a new SnapPoints property, which is a list of 3D vectors. This allows you to add custom snap points, to which you can snap when the new Draft Special snap button is turned on. Currently that property is only available to python, though. In the case above I added a new snap point at the exit of the wc appliance. The vectors inside SnapPoints appear on the model as white dots:
FreeCAD.ActiveDocument.Equipment.SnapPoints=[FreeCAD.Vector(0,0,100)]

  • Mit dem neuen "Fang Spezial" Entwurfsfang kannst du nun diese benutzerdefinierten Punkte fangen:

  • Now we can draw our piping using Draft Lines, Draft Wires, or Sketches. The best way, though, is using only Draft Lines:

  • There is now a new Draft Slope tool that allows to change the slope of Draft lines, to, for example, 5% (0.05). So we can quickly give our waste lines a correct slope. Only z coordinates are change by this tool, so we only need to snap them back to each other, the top projection will stay unchanged.

  • We now only have to select all our lines, and press the Arch Pipe button. Arch Pipe works with any Part-based object that contains one and only one open wire.

  • We can now create connections by selecting 2 or 3 coincident tubes, and press the Arch PipeConnector button. If 3 pipes are selected, two of them must be aligned in order to create a tee element:

  • Changing the connectors radius doesn't change the length of the underlying base line, only the resulting tube (by changing their OffsetStart or OffsetEnd property). So you can still draw your line layout with only straight lines, without the need to care about curves and radius.

It is also possible to create Arch Pipes without a base line, in this case use its "Length" property to define the length.

Skripten

Siehe auch: Arch API und FreeCAD Grundlagen Skripten.

The Pipe tool can be used in macros and from the Python console by using the following function:

Pipe = makePipe(baseobj=None, diameter=0, length=0, placement=None, name="Pipe")
  • Creates a Pipe object from the given baseobj and diameter.
    • baseobj is a Draft Line or Draft Wire.
    • If baseobj is omitted, a straight pipe can be created with just the diameter and the length in the Z direction.
  • If a placement is given, it is used.
import Draft, Arch

p1 = FreeCAD.Vector(1000, 0, 0)
p2 = FreeCAD.Vector(2500, 200, 0)
p3 = FreeCAD.Vector(3100, 1000, 0)
p4 = FreeCAD.Vector(3500, 500, 0)
Line = Draft.makeWire([p1, p2, p3, p4])

Pipe = Arch.makePipe(Line, 200)
FreeCAD.ActiveDocument.recompute()

Pipe2 = Arch.makePipe(diameter=120, length=3000)
FreeCAD.ActiveDocument.recompute()